Review Blocked Message
curl --request PATCH \
--url https://{appId}.api-{region}.cometchat.io/v3/moderation/blocked-messages/{id} \
--header 'Content-Type: application/json' \
--data '
{
"reviewed": true
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/moderation/blocked-messages/{id}"
payload = { "reviewed": True }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({reviewed: true})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/moderation/blocked-messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "Message with ID 540185 has been reviewed successfully."
}
}Blocked Messages
Review Blocked Message
Review a CometChat blocked message by ID with REST API to approve or reject content stopped by moderation rules.
PATCH
/
moderation
/
blocked-messages
/
{id}
Review Blocked Message
Path Parameters
Id of the blocked message to review.
Body
application/json
Response
200 - application/json
Blocked message reviewed successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I